bin_PROGRAMS = yagi input output first optimise  mutual \
selftest randtest dipole

yagi_SOURCES = yagi.c fill_v_vector.c get_number_of_elements.c \
getfiles.c nrutil.c string.c read_yagi_data.c \
self.c mutual.c fill_z_matrix.c cis_hack.c com_hack.c lud_hack.c \
lub_hack.c write_header_to_disk.c \
write_coordinates.c print_z_matrix.c version.c getopt.c usage_yagi.c mpr_hack.c \
self2.c cin.c ci.c display_antenna_currents.c com_hack.h  globals.h   nr_hack.h   nrutil.h  yagi.h

input_SOURCES = input.c nrutil.c string.c write_input_data.c get_number_of_elements.c \
version.c  usage_input.c getopt.c  yagi.h

output_SOURCES = output.c nrutil.c read_header.c string.c z_input.c vswr.c \
reflection_coefficient.c com_hack.c power_input.c gain.c write_gain.c version.c  \
usage_output.c write_gnuplot_header.c getopt.c zbr_hack.c max_side.c  yagi.h

first_SOURCES = first.c nrutil.c write_input_data.c string.c getopt.c \
usage_first.c version.c self2.c cis_hack.c com_hack.c ci.c new_length.c yagi.h

optimise_SOURCES = optimise.c string.c read_yagi_data.c  nrutil.c \
get_number_of_elements.c version.c fill_z_matrix.c lud_hack.c lub_hack.c \
gain.c self.c mutual.c power_input.c com_hack.c set_mean_structure.c \
cis_hack.c z_input.c randomise.c better.c  \
write_input_data.c reflection_coefficient.c vswr.c set_performance_structures.c \
copy_matrix.c perform.c getopt.c show_all_optimise_parameters.c solve.c print_z_matrix.c \
check_flags.c error_message.c fill_v_vector.c \
max_gain.c dobetter.c gaussian.c sens.c fitness.c mpr_hack.c genetic.c \
genetic_algorithm_lib.c random.c get_command_line_options.c \
change_max_percentage_changes.c max_side.c \
usage_optimise.c optimising_for.c  test_stop.c \
print_relavent_performance_data.c subtract_structures.c end_stop.c self2.c cin.c \
ci.c dynamic.c auto.c linear.c yagi.h

randtest_SOURCES=rantest.c random.c yagi.h

mutual_SOURCES=test2.c cis_hack.c nrutil.c com_hack.c yagi.h

selftest_SOURCES= selftest.c self2.c nrutil.c ci.c cis_hack.c com_hack.c

dipole_SOURCES= dipole.c self2.c nrutil.c ci.c cis_hack.c com_hack.c yagi.h

#yagi_LDADD = @LIBOBJS@

EXTRA_DIST = 3-element-yagi
